Subject: Re: [113attendees] IETF 113 Update: 2022-02-10

From: Alexandre Petrescu <[email-masked]>
Date: Tue, 5 Apr 2022 13:50:49 +0200

Le 18/02/2022 à 19:31, John C Klensin a écrit :
> Alex,
> 
> I won't repeat my previous comment about being able to
> accurately produce the future.  Translating them into more
> statistical terms, those are issues about predictive models
> given unpredictable issues that can introduce near-step
> functions (e.g., appearance of new variants with new properties)
> and exogenous variates that are not part of the model.  But, if
> you are working with R to try to build a predictive model, two
> suggestions:
> 
> (1) You probably do not want to interpolate.  Think about some
> sort of regression or other curve-fitting procedure, perhaps
> with moving averages.  You would need to figure out whether you
> have enough data to make that meaningful.
> 
> (2) Once you have a predictive model with which you are happy,
> please try doing some predictions of accuracy (not just
> projected values), probably using a retrospective sensitivity
> testing approach.   In other words, set the most recent data
> aside, repeat the analysis, and then see how well the model
> would have predicted those recent data.
> 
> I can't speak for others, but I look forward to a report on what
> you discover.

I keep working on it.

This is what I discovered for now.

- there are no publicly available data predicting covid waves, or I cant 
find.  It might be impossible to predict the next wave.

The one prediction I learned of at IETF is at 
https://www.sozialministerium.at/Informationen-zum-Coronavirus/COVID-Prognose-Konsortium-2022.html#februar-2022
It is a short-term estimation on the current wave form, not a prediction 
on a long term of waves.  This short-term estimation can be done rapidly 
on Excel tool of Microsoft.

- a colleague indicated in private that what I am trying to predict (the 
time of the peek of a next wave) might be akin to 'machine learning'. 
That is such a huge topic that I wouldnt delve into, but I am open to 
collaborating.

- I learned to agree that, as you suggsted, what I need is a sort of 
'regression', or a 'curve-fitting' procedure, rather than 
'interpolation'.  The 'R' open source software package has a plethora of 
these functions to call, and my calculators have some simpler too.

- a very naïve (sorry!) applying of some of the simplest of these 
'regressions' on the few available data, seems to be showing to me that, 
locally, the frequency of waves might be increasing, i.e. a little more 
peeks per year.  It is not about dangerosity of covid, but about how 
many peaks.

- I am looking retrospecitvely at how meeting planning happened between 
Nov. 2021 and March 2022, and whether predicting the next wave of covid 
was of any help whatsoever, or not.  In that time period several 
predictions about covid evolution were made, and a few surprises shown 
up.  I wouldnt have expected the covid wave to be on a rise in Vienna at 
the end of March - it was a surprise.

- for me personally, this kind of longer term prediction of the time of 
a next wave of covid is very important to answer daily life - both at 
work and at home - questions in planning for next few months.

That's what I discovered for now.

Alex

> 
>     john
> 
> p.s. there is a famous story about the use of a System Dynamics
> model to predict, based on 19th Century data, the traffic in
> Paris would be almost completely paralyzed by the middle of the
> 20th.   You might find it informative vis-a-vis the type of
> projections you are trying to make.
> 
> 
>   
> 
> --On Friday, February 18, 2022 18:51 +0100 Alexandre Petrescu
> <[email-masked]> wrote:
> 
>> Thanks for the note about the R script.
>>
>> I would like to say a few things about it, if permitted on
>> this list.
>>
>> I think you mean the R mathematics package, and not the R like
>> in R_0 of epidemics.  I think I saw R on my windows.
>>
>> For the R mathematics package, I wonder whether they have a
>> freely available function to interpolate very simply, maybe
>> too naïvely, but still a valuable try when nothing else might
>> be available.
>>
>> This could be used to predict the next peak of a wave.
>>
>> For example, given the sequence of distances between Austrian
>> peaks 8, 4, 8, 3 (from outbreak.info), what is the next
>> distance until the next peak?
>>
>> That potential R interpolation function, applied to that
>> Austrian data, could be valuable help in predicting more
>> precisely than the current predictions that can be visible at
>> https://www.sozialministerium.at/Informationen-zum-Coronavirus
>> /COVID-Prognose-Konsortium-2022.html#februar-2022
>>
>> The ICU Intensivpflege graph gives today a prognosis for March
>> 2nd, as illustrated by the small gray areas at the right of
>> the graph:
>> Kapazitätsvorschau Intensivpflege - 15.02.2022
>>
>> But a prediction by applying an R interpolation function on
>> the sequence 8,4,8,3 would give a prediction of when the next
>> peak would appear in the next several months.
>>
>> Probably this would predict that the next peak would be in 7
>> months time (I dont know?), which means peak in August 2022.
>> August is much far away than March.
>>
>> This kind of prognosis does not tell the details of the wave
>> shape, but just its peak.  But it is known that these are
>> waves, not arbitrary shapes.
>>
>> Alex
>>
>> Le 18/02/2022 à 07:41, Dr Eberhard W Lisse a écrit :
>>> Jay,
>>>
>>> Your approach is the correct one from a medical perspective
>>> and the same I am taking.
>>>
>>> I took the additional step of separating my flight to Europe
>>> from the flight (ticket) to Vienna, the former with Ethiopian
>>> Airlines who are very experienced with Covid and have given
>>> us no trouble when we had to reschedule some visitors doe to
>>> Omicron.  The latter is with Austrian Airlines and so cheap
>>> that if the meeting was cancelled and the airline were to
>>> prove difficult (which I doubt) I could absorb the loss.
>>>
>>>
>>> That said, one must indeed differentiate between the pure
>>> transmission rate which in Austria is quite, and in Namibia
>>> and New Zealand for example is low (but rising in the
>>> latter), the hospital utilization rate, the ICU utilization
>>> rate and of course the death rate.
>>>
>>> The death rate in countries with developed health care
>>> systems is fortunately quite low due to a multitude of
>>> factors including the experience we have gained over the last
>>> two years, and easy accessibility to care.
>>>
>>> The rolling 7 day (new infection) incidence averaged per
>>> 100000 is the traditional way of looking at, and comparing
>>> it.  The Johns Hopkins University publishes a continuously
>>> updated data set which is widely used and I have a little R
>>> script which produces the enclosed images (for some countries
>>> I am interested in).
>>>
>>> For planning purposes the hospital utilization and ICU rates
>>> are better figures and this is what is now being used more
>>> commonly like in Austria.
>>>
>>> In addition there is indeed the pressure by the populace who
>>> are fed up with the intrusions into what they perceive as
>>> personal freedom and who believe their health care systems
>>> can take care of them if they get it, in particular
>>> vaccination breakthroughs which are perceived as usually
>>> being mild.
>>>
>>> I can understand to a (very) small extend the former, but
>>> most certainly do not agree with it, and leave aside whether
>>> the latter is true (probably) and at what cost.
>>>
>>>
>>> Now, what does that mean for travelers?
>>>
>>> There still is high transmission in Austria, so the risk of
>>> contracting Covid is a reality.
>>>
>>>
>>> That is what needs to be considered when traveling back to a
>>> country where health care is less developed/available.
>>> Never mind that the airlines may deny boarding of infected
>>> passengers, so one should cater for that, as well.
>>>
>>>
>>> I, myself, will continue to abide strictly by masking,
>>> disinfection, and social distancing.  And I assume/propose
>>> that the ground rules of the meeting reflect that, such as
>>> checker board seating, temperature taking at the entrance and
>>> requiring the (correct) wearing of masks.
>>>
>>> I, myself, will not do daily testing, unless of course asked
>>> to do so by the organizers, but as I want to see how the
>>> Everybody Gargles process works (it is free, after all), I'll
>>> do it on the day of arrival and (perhaps) the morning of
>>> departure.
>>>
>>> greetings, el
>>>
>>> On 2022-02-17 23:53 , Jay Daley wrote:
>>>>> On 18/02/2022, at 10:35 AM, Carsten Bormann <[email-masked]>
>>>>> wrote: On 17.  Feb 2022, at 19:57, Jay Daley
>>>>> <[email-masked]> wrote:
>>>>>>
>>>>>> The good news that may encourage people to book, as others
>>>>>> have already noted, is that the rules in Austria change
>>>>>> from 5 March.
>>>>>
>>>>> Good news?  I'm not so sure.
>>>>>
>>>>> It seems the previous carefully designed science-based
>>>>> prevention regimes are being thrown to a populistic bonfire
>>>>> of "freedom day" paroles.
>>>>>
>>>>> This mass delusion may make traveling and meeting in person
>>>>> way too dangerous again.
>>>>>
>>>>> I'm registered for onsite, and I don't have all the
>>>>> data yet, but at the moment everything looks like I'll
>>>>> have to reconsider.
>>>>>
>>>>
>>>> While there is indeed considerable political pressure to
>>>> open up, my reading is that these decisions are still being
>>>> made on a rational basis.  It appears clear that omicron
>>>> waves in a well vaccinated society are relatively fast, burn
>>>> themselves out and result in relatively few deaths or
>>>> serious injuries with the majority having mild symptoms at
>>>> the most.  Austria's omicron wave started on
>>>> approximately 1 Jan and peaked on approximately 2 Feb.
>>>>
>>>> On the basis of that risk assessment and taking into account
>>>> that I am in a risk group because of my medical history, I
>>>> am participating in person .  (The meeting would function
>>>> just as well without me). Of course each of our
>>>> circumstances and personal risk assessments are different so
>>>> we all make our own decisions here and I respect anyone who
>>>> chooses not to travel for theirs.
>>>>
>>>> Jay
>>>>
>>>
> 
>

---

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 8 Apr 2022 22:48:08 +0200

There are these many forecasting curves in USA at this URLs, but they 
predict only for the next 4 weeks or so.

https://viz.covid19forecasthub.org/

Rather, I look for a 3-month forecast of new cases, for Philadelphia. 
In particular, to learn whether or not Philadelphia at the end of July 
is on a descent, a low, or on an ascent of the wave.  In a most desired 
case, it would be on a descent or a low.

Alex

---

From: Alexandre Petrescu <[email-masked]>
Date: Thu, 14 Apr 2022 13:23:37 +0200

I continue this discussion in the SHMOO WG email list.

Alex

Le 08/04/2022 à 22:48, Alexandre Petrescu a écrit :
> Rather, I look for a 3-month forecast of new cases, for Philadelphia. In 
> particular, to learn whether or not Philadelphia at the end of July is 
> on a descent, a low, or on an ascent of the wave.  In a most desired 
>> - there are no publicly available data predicting covid waves, or I 
>> cant find.  It might be impossible to predict the next wave.
>>
>> It is a short-term estimation on the current wave form, not a 
>> prediction on a long term of waves.  This short-term estimation can be 
>> done rapidly on Excel tool of Microsoft.
>>
>> - a colleague indicated in private that what I am trying to predict 
>> (the time of the peek of a next wave) might be akin to 'machine 
>> learning'. That is such a huge topic that I wouldnt delve into, but I 
>> am open to collaborating.
>>
>> 'interpolation'.  The 'R' open source software package has a plethora 
>> of these functions to call, and my calculators have some simpler too.
>>
>> 'regressions' on the few available data, seems to be showing to me 
>> that, locally, the frequency of waves might be increasing, i.e. a 
>> little more peeks per year.  It is not about dangerosity of covid, but 
>> about how many peaks.
>>
>> - I am looking retrospecitvely at how meeting planning happened 
>> between Nov. 2021 and March 2022, and whether predicting the next wave 
>> of covid was of any help whatsoever, or not.  In that time period 
>> several predictions about covid evolution were made, and a few 
>> surprises shown up.  I wouldnt have expected the covid wave to be on a 
>> rise in Vienna at the end of March - it was a surprise.
>>
>> - for me personally, this kind of longer term prediction of the time 
>> of a next wave of covid is very important to answer daily life - both 
>> at work and at home - questions in planning for next few months.
>>